Page MenuHomePhabricator

ContentTranslation causes "TypeError: $.uls is undefined" since 1.26wmf24
Closed, ResolvedPublic

Description

When I access a random page on ptwiki I get this:

{
	"errorMessage": "TypeError: $.uls is undefined",
	"url": "https://pt.wikipedia.org/static/1.26wmf24/extensions/ContentTranslation/modules/entrypoint/ext.cx.interlanguagelink.js",
	"lineNumber": 56,
	"columnNumber": 1,
	"errorObject": {}
}

This is the line causing the error:

language !== $.uls.data.getAutonym( language );

https://github.com/wikimedia/mediawiki-extensions-ContentTranslation/blob/7d81c24cc02f07d923efca1dd07a69fe6f86f9f2/modules/entrypoint/ext.cx.interlanguagelink.js#L56

Event Timeline

He7d3r created this task.Sep 24 2015, 7:48 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 7:48 PM

Change 240871 had a related patch set uploaded (by Ori.livneh):
ext.cx.interlanguagelink: declare dependency on jquery.uls.data

https://gerrit.wikimedia.org/r/240871

Change 240872 had a related patch set uploaded (by Ori.livneh):
ext.cx.interlanguagelink: declare dependency on jquery.uls.data

https://gerrit.wikimedia.org/r/240872

Change 240872 merged by Ori.livneh:
ext.cx.interlanguagelink: declare dependency on jquery.uls.data

https://gerrit.wikimedia.org/r/240872

ori closed this task as Resolved.Sep 24 2015, 7:57 PM
ori claimed this task.

Change 240957 had a related patch set uploaded (by Santhosh):
Interlanguage link: Avoid the requirement of jquery.uls.data module on page load

https://gerrit.wikimedia.org/r/240957

Change 240871 merged by jenkins-bot:
ext.cx.interlanguagelink: declare dependency on jquery.uls.data

https://gerrit.wikimedia.org/r/240871

Change 240957 merged by jenkins-bot:
Interlanguage link: Avoid the requirement of jquery.uls.data module on page load

https://gerrit.wikimedia.org/r/240957

Teles added a subscriber: Teles.Oct 3 2015, 2:14 AM

Change 243602 had a related patch set uploaded (by Ori.livneh):
ext.cx.interlanguagelink: declare dependency on jquery.uls.data

https://gerrit.wikimedia.org/r/243602

Change 243602 merged by Ori.livneh:
ext.cx.interlanguagelink: declare dependency on jquery.uls.data

https://gerrit.wikimedia.org/r/243602

ori added a comment.Oct 4 2015, 11:36 PM

Should be fixed within the next five minutes.

Change 243611 had a related patch set uploaded (by KartikMistry):
Interlanguage link: Avoid the requirement of jquery.uls.data module on page load

https://gerrit.wikimedia.org/r/243611

Change 243611 abandoned by KartikMistry:
Interlanguage link: Avoid the requirement of jquery.uls.data module on page load

Reason:
Will go with the train.

https://gerrit.wikimedia.org/r/243611

@ori the bug is resolved ;-). Greetings :-)!